curl "https://api.scrapio.dev/v1/booking/search?location=Paris&check_in=2026-08-10&check_out=2026-08-12&adults=2&rooms=1¤cy=EUR&pos_country=fr" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import requests
url = "https://api.scrapio.dev/v1/booking/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/booking/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "booking",
"page_type": "search",
"snapshot_at": "2023-11-07T05:31:56Z",
"meta_data": {
"url": "<string>",
"location": "<string>",
"resolved_coordinates": {
"lat": 123,
"lng": 123
},
"start_page": 123,
"end_page": 123,
"pages_requested": 123,
"pages_returned": 123,
"number_of_results": 123,
"number_of_properties": 4503599627370495,
"page": 123
},
"stay": {
"check_in": "<string>",
"check_out": "<string>",
"nights": 123
},
"occupancy": {
"adults": 123,
"children": 4503599627370495,
"children_ages": [
4503599627370495
],
"rooms": 123
},
"currency": "<string>",
"pos_country": "<string>",
"properties": [
{
"position": 123,
"property_id": "<string>",
"name": "<string>",
"type": "<string>",
"stars": 0,
"review_score": 123,
"review_count": 0,
"review_label": "<string>",
"price": {
"amount": 123,
"currency": "<string>",
"nights": 4503599627370495,
"per_night": 123,
"taxes_included": true,
"display": "<string>"
},
"free_cancellation": true,
"address": "<string>",
"coordinates": {
"lat": 123,
"lng": 123
},
"thumbnail": "<string>",
"url": "<string>"
}
],
"applied_filters": {
"sort_by": "<string>",
"min_price": 123,
"max_price": 123,
"stars": [
0
],
"min_review_score": 123
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Search hotel availability
Search Booking.com for a destination and stay window, returning structured property results.
curl "https://api.scrapio.dev/v1/booking/search?location=Paris&check_in=2026-08-10&check_out=2026-08-12&adults=2&rooms=1¤cy=EUR&pos_country=fr" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import requests
url = "https://api.scrapio.dev/v1/booking/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/booking/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "booking",
"page_type": "search",
"snapshot_at": "2023-11-07T05:31:56Z",
"meta_data": {
"url": "<string>",
"location": "<string>",
"resolved_coordinates": {
"lat": 123,
"lng": 123
},
"start_page": 123,
"end_page": 123,
"pages_requested": 123,
"pages_returned": 123,
"number_of_results": 123,
"number_of_properties": 4503599627370495,
"page": 123
},
"stay": {
"check_in": "<string>",
"check_out": "<string>",
"nights": 123
},
"occupancy": {
"adults": 123,
"children": 4503599627370495,
"children_ages": [
4503599627370495
],
"rooms": 123
},
"currency": "<string>",
"pos_country": "<string>",
"properties": [
{
"position": 123,
"property_id": "<string>",
"name": "<string>",
"type": "<string>",
"stars": 0,
"review_score": 123,
"review_count": 0,
"review_label": "<string>",
"price": {
"amount": 123,
"currency": "<string>",
"nights": 4503599627370495,
"per_night": 123,
"taxes_included": true,
"display": "<string>"
},
"free_cancellation": true,
"address": "<string>",
"coordinates": {
"lat": 123,
"lng": 123
},
"thumbnail": "<string>",
"url": "<string>"
}
],
"applied_filters": {
"sort_by": "<string>",
"min_price": 123,
"max_price": 123,
"stars": [
0
],
"min_review_score": 123
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Destination text or lat,lng
1Check-in date (YYYY-MM-DD, today or later)
^\d{4}-\d{2}-\d{2}$Check-out date (YYYY-MM-DD, after check-in)
^\d{4}-\d{2}-\d{2}$Number of adults (default 2)
^\d+$Number of children (default 0)
^\d+$Comma-separated child ages; length must match children
^\d+(,\d+)*$Number of rooms (default 1)
^\d+$Display currency (ISO 4217)
^[A-Za-z]{3}$Point-of-sale market (ISO country code)
^[A-Za-z]{2}$Device profile to emulate
desktop, mobile, tablet Sort order for results
1Minimum per-night price
^\d+$Maximum per-night price
^\d+$Comma-separated star ratings to include
^[1-5](,[1-5])*$Minimum review score, 1-10
^(10(\.0)?|\d(\.\d)?)$Result page number
^\d+$Number of pages to fetch, max 5
^\d+$Max time to wait, in ms
^\d+$Response
Structured Booking.com search results.
booking search ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes